<?php
/*
*
* http://www.slekweb.fr
*
*/
if (!defined('_PS_VERSION_')) exit;
	
class LadvSlekweb extends Module
{
	public function __construct()
	{
		$this->name = 'ladvslekweb';
		$this->tab = 'others';
		$this->version = 0.1;
		$this->author = 'Slekweb.fr';
		$this->need_instance = 0;

		parent::__construct();

		$this->displayName = $this->l('Pubs Slekweb');
		$this->description = $this->l('Affiche des pubs dans une colonne.');

		$this->link1=Configuration::get('LADVSLEKWEB_LINK1');
		$this->link2=Configuration::get('LADVSLEKWEB_LINK2');
		$this->link3=Configuration::get('LADVSLEKWEB_LINK3');
		$this->title1=Configuration::get('LADVSLEKWEB_TITLE1');
		$this->title2=Configuration::get('LADVSLEKWEB_TITLE2');
		$this->title3=Configuration::get('LADVSLEKWEB_TITLE3');
	}


	public function install()
	{
		Configuration::updateValue('LADVSLEKWEB_LINK1', 'http://www.prestashop.com');
		Configuration::updateValue('LADVSLEKWEB_LINK2', 'http://www.slekweb.fr');
		Configuration::updateValue('LADVSLEKWEB_LINK3', 'http://www.prestashop.com');
		Configuration::updateValue('LADVSLEKWEB_TITLE1', 'Titre 1');
		Configuration::updateValue('LADVSLEKWEB_TITLE2', 'Titre 2');
		Configuration::updateValue('LADVSLEKWEB_TITLE3', 'Titre 3');
		if(!parent::install() OR !$this->registerHook('leftColumn'))
			return false;
		return true;
	}

	public function uninstall()
	{
		if (!Configuration::deleteByName('LADVSLEKWEB_LINK1') OR !Configuration::deleteByName('LADVSLEKWEB_LINK2') OR !Configuration::deleteByName('LADVSLEKWEB_LINK3') OR !Configuration::deleteByName('LADVSLEKWEB_TITLE1') OR !Configuration::deleteByName('LADVSLEKWEB_TITLE2') OR !Configuration::deleteByName('LADVSLEKWEB_TITLE3') OR !parent::uninstall())
			return false;
		return true;
	}

	public function postProcess()
	{
		$errors = '';
		if (Tools::isSubmit('add')&&Tools::isSubmit('idadv'))
		{
			$idadv=Tools::getValue('idadv');
			$file = $_FILES['adv'.$idadv.'_img'];

			if (isset($file) AND isset($file['tmp_name']) AND !empty($file['tmp_name']))
			{
				if ($error = checkImage($file, 4000000)){
					$errors .= $error;
				}else{
					if (!move_uploaded_file($file['tmp_name'], _PS_MODULE_DIR_.$this->name.'/images/adv'.$idadv.'.png')) $errors .= $this->l('Error move uploaded file');
				}
			}
			if(Tools::isSubmit('adv'.$idadv.'_lien'))
			{
				Configuration::updateValue('LADVSLEKWEB_LINK'.$idadv,htmlentities(Tools::getValue('adv'.$idadv.'_lien'), ENT_QUOTES, 'UTF-8'));
			}
			if(Tools::isSubmit('adv'.$idadv.'_titre'))
			{
				Configuration::updateValue('LADVSLEKWEB_TITLE'.$idadv,htmlentities(Tools::getValue('adv'.$idadv.'_titre'), ENT_QUOTES, 'UTF-8'));
			}
		}
		if ($errors)
			echo $this->displayError($errors);
	}

	public function getContent()
	{	
		$this->postProcess();
		$adv='adv';
		$output.='<fieldset><legend>'.$this->l('Pubs configuration').'</legend>';
		for($i=1;$i<4;$i++){
			$output.='<b>'.$this->l('Veuillez bien vider le cache du navigateur (CTRL+F5) apres le changement d\'une pub pour voir la nouvelle image (Front et Back Office)').'</b>';
			$output.='
			<form action="'.$_SERVER['REQUEST_URI'].'" method="post" enctype="multipart/form-data">';
					if(file_exists(_PS_MODULE_DIR_.$this->name.'/images/'.$adv.$i.'.png'))
						$output .= '<img src="'._MODULE_DIR_.$this->name.'/images/'.$adv.$i.'.png" alt="'.$this->l('Pub '.$i).'" />';
					else $output .= $this->l('Aucune Pub '.$i);
					$output .= '<br /><br />
					<label for="adv'.$i.'_img">'.$this->l('Pub '.$i).'&nbsp;&nbsp;</label>
					<input type="hidden" name="idadv" value="'.$i.'" /><input id="adv'.$i.'_img" type="file" name="adv'.$i.'_img" /> ( '.$this->l('Taille : 202*65 - Format : PNG').' )<br /><br />
					<label for="adv'.$i.'_titre">'.$this->l('Titre '.$i).'&nbsp;&nbsp;</label>
					<input type="text" name="adv'.$i.'_titre" value="'.Configuration::get('LADVSLEKWEB_TITLE'.$i).'" /> '.$this->l('(Titre Image)').'<br /><br />
					<label for="adv'.$i.'_lien">'.$this->l('Lien '.$i).'&nbsp;&nbsp;</label>
					<input type="text" name="adv'.$i.'_lien" value="'.Configuration::get('LADVSLEKWEB_LINK'.$i).'" />
					<input class="button" type="submit" name="add" value="'.$this->l('valider').'" />
					<br class="clear" /><br />
			</form>';
			if($i<3) $output.='-----------------------------<br class="clear" /><br />';
		}
		$output.='</fieldset>';
		return $output;
	}

	function hookLeftColumn($params)
	{
		global $smarty;
		Tools::addCSS(($this->_path).'ladvslekweb.css', 'all');
		$smarty->assign(array(
			'this_path' => $this->_path,
			'link1' => $this->link1,
			'link2' => $this->link2,
			'link3' => $this->link3,
			'title1' => $this->title1,
			'title2' => $this->title2,
			'title3' => $this->title3
		));

		return $this->display(__FILE__, 'ladvslekweb.tpl');
	}

	public function hookrightColumn()
	{
		return $this->hookLeftColumn();
	}
}